qLinux

... a distribution study based on Gentoo

User Tools

Site Tools


Home
Internals


Installation

Quickstart

It's required to have the latest stable portage version installed. Older versions will not be supported in any case. Get the overlay first and afterwards install the qrtools package.

Create a repo config file in  /etc/portage/repos.conf/  with the following content:

[qlinux]
master = gentoo
location = /var/portage/qlinux
#sync-type = rsync
#sync-uri = rsync://downloads.dyndn.es/qrtools
sync-type = git
sync-uri = https://gitlab.com/kaili/qlinux.git
auto-sync = yes

Get the repository by syncing it:

$> emerge --sync qlinux

Install the qrtools package:

$ emerge qrtools

Now go to  /etc/portage/repos.conf  and rename the new config file

$ mv eselect-repo.conf qlinux.conf
Last modified: 2020/02/19 16:08

Page Tools